Go to the first, previous, next, last section, table of contents.

### `ntogf2n`

`ntogf2n(m)`
  :: Converts a non-negative integer into an element of GF(2^n).

return
  element of GF(2^n)
m
  non-negative integer

- Let m be a non-negative integer. m has the binary representation m=m0+m1*2+...+mk*2^k. This function returns an element of GF(2^n) = GF(2)[t]/(g(t)), m0+m1*t+...+mk*t^k mod g(t).
- Apply `simp_ff()` to reduce the result.

    [1] setmod_ff(x^30+x+1);
    x^30+x+1
    [2] N=ntogf2n(2^100);
    (@^100)
    [3] simp_ff(N);
    (@^13+@^12+@^11+@^10)

`References`
  section `gf2nton`

Go to the first, previous, next, last section, table of contents.